%bcond_with     nautilus

Summary:       Tool for viewing and creating archives
Name:          file-roller
Version:       43.0
Release:       3%{?dist}
License:       GPLv2+
URL:           https://wiki.gnome.org/Apps/FileRoller
Source0:       https://download.gnome.org/sources/%{name}/43/%{name}-%{version}.tar.xz

BuildRequires: meson gcc file-devel pkgconfig(glib-2.0) pkgconfig(gthread-2.0) pkgconfig(libhandy-1)
BuildRequires: pkgconfig(gtk+-3.0) pkgconfig(json-glib-1.0) pkgconfig(libarchive)
BuildRequires: cpio gettext itstool /usr/bin/desktop-file-validate /usr/bin/appstream-util
%if %{with nautilus}
BuildRequires: pkgconfig(libnautilus-extension-4) pkgconfig(libportal) pkgconfig(libportal-gtk3)
%endif

%description
File Roller is an application for creating and viewing archives files, such as tar or zip files.

%if %{with nautilus}
%package nautilus
Summary: File Roller extension for nautilus
Requires: %{name} = %{version}-%{release}

%description nautilus
This package contains the file-roller extension for the nautilus file manager.  It adds an item to
the nautilus context menu that lets you compress files or directories.
%endif

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson \
%if %{without nautilus}
    -Duse_native_appchooser=false \
    -Dnautilus-actions=disabled \
%endif
    %{nil}

%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.gnome.FileRoller.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.FileRoller.desktop

%files -f %{name}.lang
%license COPYING
%doc README.md NEWS AUTHORS
%{_bindir}/file-roller
%{_libexecdir}/file-roller
%{_datadir}/file-roller
%{_datadir}/applications/org.gnome.FileRoller.desktop
%{_datadir}/dbus-1/services/org.gnome.ArchiveManager1.service
%{_datadir}/dbus-1/services/org.gnome.FileRoller.service
%{_datadir}/glib-2.0/schemas/org.gnome.FileRoller.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.FileRoller*.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.FileRoller-symbolic.svg
%{_datadir}/metainfo/org.gnome.FileRoller.appdata.xml

%if %{with nautilus}
%files nautilus
%{_libdir}/nautilus/extensions-4/libnautilus-fileroller.so
%endif

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 22 2023 Shuo Wang <abushwang@tencent.com> - 43.0-1
- initial build
